## device-tree-compiler 0.1

=== Makefile ===
TARGETS = dtc ftdump
CFLAGS = -Wall -g

BISON = bison

DTC_OBJS = dtc.o livetree.o flattree.o data.o treesource.o fstree.o \
		dtc-parser.tab.o lex.yy.o

OBJS = $(DTC_OBJS) libdt.o ftdump.o

DEPFILES = $(DTC_OBJS:.o=.d)

all: $(TARGETS)

dtc: $(DTC_OBJS)
	$(LINK.c) -o $@ $^

ftdump:	ftdump.o
	$(LINK.c) -o $@ $^

dtc-parser.tab.c dtc-parser.tab.h dtc-parser.output: dtc-parser.y
	$(BISON) -d $<

lex.yy.c: dtc-lexer.l
	$(LEX) $<

lex.yy.o: lex.yy.c dtc-parser.tab.h

check: all
	cd tests && $(MAKE) check

clean:
	rm -f *~ *.o a.out core $(TARGETS)
	rm -f *.tab.[ch] lex.yy.c
	rm -f *.i *.output vgcore.*
	rm -f *.d
	cd tests && $(MAKE) clean

%.d: %.c
	$(CC) -MM -MG -MT "$*.o $@" $< > $@

-include $(DEPFILES)

=== tests/Makefile ===
DTC = ../dtc
VG_DTC = valgrind --tool=memcheck ../dtc

check: all
	./run_all_tests.sh

all:

clean:
	rm -f *~

## device-tree-compiler 1.1.0.dfsg

=== Makefile ===
#
# Device Tree Compiler
#

#
# Version information will be constructed in this order:
# EXTRAVERSION might be "-rc", for example.
# LOCAL_VERSION is likely from command line.
# CONFIG_LOCALVERSION from some future config system.
#
VERSION = 1
PATCHLEVEL = 1
SUBLEVEL = 0
EXTRAVERSION =
LOCAL_VERSION =
CONFIG_LOCALVERSION =

CPPFLAGS = -I libfdt
CFLAGS = -Wall -g -Os

BISON = bison
LEX = flex

INSTALL = /usr/bin/install
DESTDIR =
PREFIX = $(HOME)
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include

#
# Overall rules
#
ifdef V
VECHO = :
else
VECHO = echo "	"
ARFLAGS = rc
.SILENT:
endif

NODEPTARGETS = clean
ifeq ($(MAKECMDGOALS),)
DEPTARGETS = all
else
DEPTARGETS = $(filter-out $(NODEPTARGETS),$(MAKECMDGOALS))
endif

all: dtc libfdt

install: all
	@$(VECHO) INSTALL
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 dtc $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(LIBFDT_LIB) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -m 644 $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_INCLUDES)) $(DESTDIR)$(INCLUDEDIR)

#
# Rules for versioning
#

DTC_VERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)
VERSION_FILE = version_gen.h

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

nullstring :=
space	:= $(nullstring) # end of line

localver_config = $(subst $(space),, $(string) \
			      $(patsubst "%",%,$(CONFIG_LOCALVERSION)))

localver_cmd = $(subst $(space),, $(string) \
			      $(patsubst "%",%,$(LOCALVERSION)))

localver_scm = $(shell $(CONFIG_SHELL) ./scripts/setlocalversion)
localver_full  = $(localver_config)$(localver_cmd)$(localver_scm)

dtc_version = $(DTC_VERSION)$(localver_full)

# Contents of the generated version file.
define filechk_version
	(echo "#define DTC_VERSION \"DTC $(dtc_version)\""; )
endef

define filechk
	set -e;					\
	echo '	CHK $@';			\
	mkdir -p $(dir $@);			\
	$(filechk_$(1)) < $< > $@.tmp;		\
	if [ -r $@ ] && cmp -s $@ $@.tmp; then	\
		rm -f $@.tmp;			\
	else					\
		echo '	UPD $@';		\
		mv -f $@.tmp $@;		\
	fi;
endef

$(VERSION_FILE): Makefile FORCE
	$(call filechk,version)

#
# Rules for dtc proper
#
include Makefile.dtc

BIN += dtc

# This stops make from generating the lex and bison output during
# auto-dependency computation, but throwing them away as an
# intermediate target and building them again "for real"
.SECONDARY: $(DTC_GEN_SRCS)

dtc: $(DTC_OBJS)

ifneq ($(DEPTARGETS),)
-include $(DTC_OBJS:%.o=%.d)
endif
#
# Rules for libfdt
#
LIBFDT_objdir = libfdt
LIBFDT_srcdir = libfdt
include $(LIBFDT_srcdir)/Makefile.libfdt

.PHONY: libfdt
libfdt: $(LIBFDT_LIB)

$(LIBFDT_LIB): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))

libfdt_clean:
	@$(VECHO) CLEAN "(libfdt)"
	rm -f $(addprefix $(LIBFDT_objdir)/,$(STD_CLEANFILES))
	rm -f $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_CLEANFILES))

ifneq ($(DEPTARGETS),)
-include $(LIBFDT_OBJS:%.o=$(LIBFDT_objdir)/%.d)
endif

#
# Testsuite rules
#
TESTS_PREFIX=tests/
include tests/Makefile.tests

#
# Clean rules
#
STD_CLEANFILES = *~ *.o *.d *.a *.i *.s core a.out vgcore.* \
	*.tab.[ch] *.lex.c *.output

clean: libfdt_clean tests_clean
	@$(VECHO) CLEAN
	rm -f $(STD_CLEANFILES) $(DTC_CLEANFILES)
	rm -f $(VERSION_FILE)
	rm -f $(BIN)

#
# Generic compile rules
#
%: %.o
	@$(VECHO) LD $@
	$(LINK.c) -o $@ $^

%.o: %.c
	@$(VECHO) CC $@
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

%.o: %.S
	@$(VECHO) AS $@
	$(CC) $(CPPFLAGS) $(AFLAGS) -D__ASSEMBLY__ -o $@ -c $<

%.d: %.c
	@$(VECHO) DEP $<
	$(CC) $(CPPFLAGS) -MM -MG -MT "$*.o $@" $< > $@

%.d: %.S
	@$(VECHO) DEP $<
	$(CC) $(CPPFLAGS) -MM -MG -MT "$*.o $@" $< > $@

%.i:	%.c
	@$(VECHO) CPP $@
	$(CC) $(CPPFLAGS) -E $< > $@

%.s:	%.c
	@$(VECHO) CC -S $@
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -S $<

%.a:
	@$(VECHO) AR $@
	$(AR) $(ARFLAGS) $@ $^

%.lex.c: %.l
	@$(VECHO) LEX $@
	$(LEX) -o$@ $<

%.tab.c %.tab.h %.output: %.y
	@$(VECHO) BISON $@
	$(BISON) -d $<

FORCE:

## device-tree-compiler 1.4.5

=== Makefile ===
--- 
+++ 
@@ -9,17 +9,21 @@
 # CONFIG_LOCALVERSION from some future config system.
 #
 VERSION = 1
-PATCHLEVEL = 1
-SUBLEVEL = 0
+PATCHLEVEL = 4
+SUBLEVEL = 5
 EXTRAVERSION =
 LOCAL_VERSION =
 CONFIG_LOCALVERSION =
 
-CPPFLAGS = -I libfdt
-CFLAGS = -Wall -g -Os
+CPPFLAGS = -I libfdt -I .
+WARNINGS = -Wall -Wpointer-arith -Wcast-qual -Wnested-externs \
+	-Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow
+CFLAGS = -g -Os $(SHAREDLIB_CFLAGS) -Werror $(WARNINGS)
 
 BISON = bison
 LEX = flex
+SWIG = swig
+PKG_CONFIG ?= pkg-config
 
 INSTALL = /usr/bin/install
 DESTDIR =
@@ -28,6 +32,23 @@
 LIBDIR = $(PREFIX)/lib
 INCLUDEDIR = $(PREFIX)/include
 
+HOSTOS := $(shell uname -s | tr '[:upper:]' '[:lower:]' | \
+	    sed -e 's/\(cygwin\|msys\).*/\1/')
+
+ifeq ($(HOSTOS),darwin)
+SHAREDLIB_EXT     = dylib
+SHAREDLIB_CFLAGS  = -fPIC
+SHAREDLIB_LDFLAGS = -fPIC -dynamiclib -Wl,-install_name -Wl,
+else ifeq ($(HOSTOS),$(filter $(HOSTOS),msys cygwin))
+SHAREDLIB_EXT     = so
+SHAREDLIB_CFLAGS  =
+SHAREDLIB_LDFLAGS = -shared -Wl,--version-script=$(LIBFDT_version) -Wl,-soname,
+else
+SHAREDLIB_EXT     = so
+SHAREDLIB_CFLAGS  = -fPIC
+SHAREDLIB_LDFLAGS = -fPIC -shared -Wl,--version-script=$(LIBFDT_version) -Wl,-soname,
+endif
+
 #
 # Overall rules
 #
@@ -45,17 +66,6 @@
 else
 DEPTARGETS = $(filter-out $(NODEPTARGETS),$(MAKECMDGOALS))
 endif
-
-all: dtc libfdt
-
-install: all
-	@$(VECHO) INSTALL
-	$(INSTALL) -d $(DESTDIR)$(BINDIR)
-	$(INSTALL) -m 755 dtc $(DESTDIR)$(BINDIR)
-	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
-	$(INSTALL) -m 644 $(LIBFDT_LIB) $(DESTDIR)$(LIBDIR)
-	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
-	$(INSTALL) -m 644 $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_INCLUDES)) $(DESTDIR)$(INCLUDEDIR)
 
 #
 # Rules for versioning
@@ -100,64 +110,199 @@
 	fi;
 endef
 
-$(VERSION_FILE): Makefile FORCE
-	$(call filechk,version)
-
-#
-# Rules for dtc proper
-#
+
+include Makefile.convert-dtsv0
 include Makefile.dtc
-
+include Makefile.utils
+
+BIN += convert-dtsv0
 BIN += dtc
+BIN += fdtdump
+BIN += fdtget
+BIN += fdtput
+BIN += fdtoverlay
+
+SCRIPTS = dtdiff
+
+all: $(BIN) libfdt
+
+# We need both Python and swig to build pylibfdt.
+.PHONY: maybe_pylibfdt
+maybe_pylibfdt: FORCE
+	if $(PKG_CONFIG) --cflags python2 >/dev/null 2>&1; then \
+		if which swig >/dev/null 2>&1; then \
+			can_build=yes; \
+		fi; \
+	fi; \
+	if [ "$$can_build" = "yes" ]; then \
+		$(MAKE) pylibfdt; \
+	else \
+		echo "## Skipping pylibfdt (install python dev and swig to build)"; \
+	fi
+
+ifeq ($(NO_PYTHON),)
+all: maybe_pylibfdt
+endif
+
+
+ifneq ($(DEPTARGETS),)
+-include $(DTC_OBJS:%.o=%.d)
+-include $(CONVERT_OBJS:%.o=%.d)
+-include $(FDTDUMP_OBJS:%.o=%.d)
+-include $(FDTGET_OBJS:%.o=%.d)
+-include $(FDTPUT_OBJS:%.o=%.d)
+-include $(FDTOVERLAY_OBJS:%.o=%.d)
+endif
+
+
+
+#
+# Rules for libfdt
+#
+LIBFDT_objdir = libfdt
+LIBFDT_srcdir = libfdt
+LIBFDT_archive = $(LIBFDT_objdir)/libfdt.a
+LIBFDT_lib = $(LIBFDT_objdir)/libfdt-$(DTC_VERSION).$(SHAREDLIB_EXT)
+LIBFDT_include = $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_INCLUDES))
+LIBFDT_version = $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_VERSION))
+
+include $(LIBFDT_srcdir)/Makefile.libfdt
+
+.PHONY: libfdt
+libfdt: $(LIBFDT_archive) $(LIBFDT_lib)
+
+$(LIBFDT_archive): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))
+$(LIBFDT_lib): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))
+
+libfdt_clean:
+	@$(VECHO) CLEAN "(libfdt)"
+	rm -f $(addprefix $(LIBFDT_objdir)/,$(STD_CLEANFILES))
+	rm -f $(LIBFDT_objdir)/*.so
+
+ifneq ($(DEPTARGETS),)
+-include $(LIBFDT_OBJS:%.o=$(LIBFDT_objdir)/%.d)
+endif
 
 # This stops make from generating the lex and bison output during
 # auto-dependency computation, but throwing them away as an
 # intermediate target and building them again "for real"
-.SECONDARY: $(DTC_GEN_SRCS)
+.SECONDARY: $(DTC_GEN_SRCS) $(CONVERT_GEN_SRCS)
+
+install-bin: all $(SCRIPTS)
+	@$(VECHO) INSTALL-BIN
+	$(INSTALL) -d $(DESTDIR)$(BINDIR)
+	$(INSTALL) $(BIN) $(SCRIPTS) $(DESTDIR)$(BINDIR)
+
+install-lib: all
+	@$(VECHO) INSTALL-LIB
+	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
+	$(INSTALL) $(LIBFDT_lib) $(DESTDIR)$(LIBDIR)
+	ln -sf $(notdir $(LIBFDT_lib)) $(DESTDIR)$(LIBDIR)/$(LIBFDT_soname)
+	ln -sf $(LIBFDT_soname) $(DESTDIR)$(LIBDIR)/libfdt.$(SHAREDLIB_EXT)
+	$(INSTALL) -m 644 $(LIBFDT_archive) $(DESTDIR)$(LIBDIR)
+
+install-includes:
+	@$(VECHO) INSTALL-INC
+	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
+	$(INSTALL) -m 644 $(LIBFDT_include) $(DESTDIR)$(INCLUDEDIR)
+
+install: install-bin install-lib install-includes
+
+ifeq ($(NO_PYTHON),)
+install: install_pylibfdt
+endif
+
+$(VERSION_FILE): Makefile FORCE
+	$(call filechk,version)
+
 
 dtc: $(DTC_OBJS)
 
-ifneq ($(DEPTARGETS),)
--include $(DTC_OBJS:%.o=%.d)
-endif
-#
-# Rules for libfdt
-#
-LIBFDT_objdir = libfdt
-LIBFDT_srcdir = libfdt
-include $(LIBFDT_srcdir)/Makefile.libfdt
-
-.PHONY: libfdt
-libfdt: $(LIBFDT_LIB)
-
-$(LIBFDT_LIB): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))
-
-libfdt_clean:
-	@$(VECHO) CLEAN "(libfdt)"
-	rm -f $(addprefix $(LIBFDT_objdir)/,$(STD_CLEANFILES))
-	rm -f $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_CLEANFILES))
-
-ifneq ($(DEPTARGETS),)
--include $(LIBFDT_OBJS:%.o=$(LIBFDT_objdir)/%.d)
-endif
+convert-dtsv0: $(CONVERT_OBJS)
+	@$(VECHO) LD $@
+	$(LINK.c) -o $@ $^
+
+fdtdump:	$(FDTDUMP_OBJS)
+
+fdtget:	$(FDTGET_OBJS) $(LIBFDT_archive)
+
+fdtput:	$(FDTPUT_OBJS) $(LIBFDT_archive)
+
+fdtoverlay: $(FDTOVERLAY_OBJS) $(LIBFDT_archive)
+
+dist:
+	git archive --format=tar --prefix=dtc-$(dtc_version)/ HEAD \
+		> ../dtc-$(dtc_version).tar
+	cat ../dtc-$(dtc_version).tar | \
+		gzip -9 > ../dtc-$(dtc_version).tar.gz
+
+
+#
+# Rules for pylibfdt
+#
+PYLIBFDT_srcdir = pylibfdt
+PYLIBFDT_objdir = pylibfdt
+
+include $(PYLIBFDT_srcdir)/Makefile.pylibfdt
+
+.PHONY: pylibfdt
+pylibfdt: $(PYLIBFDT_objdir)/_libfdt.so
+
+pylibfdt_clean:
+	@$(VECHO) CLEAN "(pylibfdt)"
+	rm -f $(addprefix $(PYLIBFDT_objdir)/,$(PYLIBFDT_cleanfiles))
+
+#
+# Release signing and uploading
+# This is for maintainer convenience, don't try this at home.
+#
+ifeq ($(MAINTAINER),y)
+GPG = gpg2
+KUP = kup
+KUPDIR = /pub/software/utils/dtc
+
+kup: dist
+	$(GPG) --detach-sign --armor -o ../dtc-$(dtc_version).tar.sign \
+		../dtc-$(dtc_version).tar
+	$(KUP) put ../dtc-$(dtc_version).tar.gz ../dtc-$(dtc_version).tar.sign \
+		$(KUPDIR)/dtc-$(dtc_version).tar.gz
+endif
+
+tags: FORCE
+	rm -f tags
+	find . \( -name tests -type d -prune \) -o \
+	       \( ! -name '*.tab.[ch]' ! -name '*.lex.c' \
+	       -name '*.[chly]' -type f -print \) | xargs ctags -a
 
 #
 # Testsuite rules
 #
 TESTS_PREFIX=tests/
+
+TESTS_BIN += dtc
+TESTS_BIN += convert-dtsv0
+TESTS_BIN += fdtput
+TESTS_BIN += fdtget
+TESTS_BIN += fdtdump
+TESTS_BIN += fdtoverlay
+ifeq ($(NO_PYTHON),)
+TESTS_PYLIBFDT += maybe_pylibfdt
+endif
+
 include tests/Makefile.tests
 
 #
 # Clean rules
 #
-STD_CLEANFILES = *~ *.o *.d *.a *.i *.s core a.out vgcore.* \
+STD_CLEANFILES = *~ *.o *.$(SHAREDLIB_EXT) *.d *.a *.i *.s core a.out vgcore.* \
 	*.tab.[ch] *.lex.c *.output
 
-clean: libfdt_clean tests_clean
+clean: libfdt_clean pylibfdt_clean tests_clean
 	@$(VECHO) CLEAN
-	rm -f $(STD_CLEANFILES) $(DTC_CLEANFILES)
+	rm -f $(STD_CLEANFILES)
 	rm -f $(VERSION_FILE)
 	rm -f $(BIN)
+	rm -f dtc-*.tar dtc-*.tar.sign dtc-*.tar.asc
 
 #
 # Generic compile rules
@@ -194,6 +339,10 @@
 	@$(VECHO) AR $@
 	$(AR) $(ARFLAGS) $@ $^
 
+$(LIBFDT_lib):
+	@$(VECHO) LD $@
+	$(CC) $(LDFLAGS) $(SHAREDLIB_LDFLAGS)$(LIBFDT_soname) -o $(LIBFDT_lib) $^
+
 %.lex.c: %.l
 	@$(VECHO) LEX $@
 	$(LEX) -o$@ $<

=== debian/changelog ===
device-tree-compiler (1.4.5-3) unstable; urgency=medium

  * Add patch from upstream to fix bugs in testsuite for 32-bit arm. (Closes: #877797)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 06 Oct 2017 11:51:12 -0700

device-tree-compiler (1.4.5-2) unstable; urgency=medium

  * Add patch from upstream to fix building on 32-bit systems.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 28 Sep 2017 18:42:05 -0700

device-tree-compiler (1.4.5-1) unstable; urgency=medium

  * New upstream release
    (Closes: #877033)

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 29 Sep 2017 00:02:44 +0200

device-tree-compiler (1.4.4-1) unstable; urgency=medium

  * New upstream release:
    - Add DT Overlay support, closes: #863174.
  * Documentation:
    - Only install .pdf of documentation paper, dropping .ps and .dvi
      versions.
    - Add documentation about dts format and dt objects.
  * Add debian/watch file.
  * Switch to source/format: 3.0 (quilt).
  * Switch to dh and debhelper compat level 10.
  * debian/rules:
    - Enabled hardening.
    - Ensure texlive generated documentation does not embed timestamps,
      closes: #876657.
  * debian/control:
    - Set Priority to optional.
    - Set Standards-Version to 4.1.0.
    - Add Vagrant Cascadian to Uploaders.
    - Use https:// URLs for Vcs-*.
  * debian/copyright:
    - Switch to copyright-format 1.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 25 Sep 2017 09:10:56 -0700

device-tree-compiler (1.4.2-1) unstable; urgency=medium

  * New upstream release, closes: #839031

  [ Helmut Grohne ]
  * Fix FTCBFS: Export triplet-prefixed CC, closes: #847457

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 08 Dec 2016 18:17:19 +0100

device-tree-compiler (1.4.0+dfsg-2) unstable; urgency=medium

  * Fix out of date homepage url
  * Fix pre-depends-directly-on-multiarch-support error

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 17 Aug 2015 15:12:51 +0300

device-tree-compiler (1.4.0+dfsg-1) unstable; urgency=low

  * REALLY update to upstream version 1.4.0, closes: #725745

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 03 Jan 2014 16:22:27 +0200

device-tree-compiler (1.4.0-2) unstable; urgency=low

  * Convert to multiarch

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 23 Aug 2013 14:58:19 +0300

device-tree-compiler (1.4.0-1) unstable; urgency=low

  * Added myself to maintainers
  * New upstream version, closes: #713991

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Aug 2013 15:36:00 +0300

device-tree-compiler (1.3.0-4) unstable; urgency=low

  * Revert accidental source format change.

 -- Hector Oron <zumbi@pergolesi.debian.org>  Sat, 27 Apr 2013 09:59:06 +0000

device-tree-compiler (1.3.0-3) unstable; urgency=low

  * libfdt-dev: Missing header file prevents the library usage
    Thanks Domenico Andreoli (Closes: #706137)

 -- Hector Oron <zumbi@debian.org>  Sat, 27 Apr 2013 07:47:09 +0000

device-tree-compiler (1.3.0-2) unstable; urgency=low

  * Add libfdt package (Closes: #477565)
    - Thanks Dmitry Eremin-Solenikov and Aurelien Jarno for patch.
  * Backport upstream fixes as patches until 2012-1-21.
  * Reword package description to generalize architecture support.
    - Removes OpenFirmware and PowerPC references.
  * Update dtc manpage and include fdtget, fdtput, fdtdump, convert-dtsv0,
    dtdiff manpages.
  * d/rules: Add build-arch and build-indep targets.
  * d/README.source: refer to quilt patching system.
  * Remove Apps top-level section from doc-base.

 -- Hector Oron <zumbi@debian.org>  Sat, 28 Jan 2012 01:16:09 +0100

device-tree-compiler (1.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #572945)
  * New maintainer. (Closes: #649290)
  * New VCS repository.
  * Update homepage stanza (Closes: #497605)
  * Update standards version.
  * Compile with -fPIC. Fixes ftbfs on amd64.
  * Use dpkg 1.0 format.
  * Backport upstream fixes as patches until 2011-10-26.

 -- Hector Oron <zumbi@debian.org>  Tue, 22 Nov 2011 12:23:38 +0000

device-tree-compiler (1.1.0.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warning "copyright-without-copyright-notice".
    + Update debian/copyright.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 16 Feb 2008 17:08:36 +0100

device-tree-compiler (1.0.0.dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #438479)
    + Fix missing /chosen node, as it has been removed from DTS.
      (Closes: #436234)
  * Remove ftdump from the upstream tarball.
    + This file has no license notice.
    + Fix conflict with the freetype2-demos package. (Closes: #434890)
    + David Gibson told me that he would not bother even installing
      ftdump. It was meant to be a debugging tool, dumping a blob
      back into text format, but it never got very far and he has
      been meaning to get rid of it.
  * Update tests/dumptrees.c in the upstream tarball with GIT commit
    08c0be206d5d6b035db11048d19be33216332f2b.
    + Fix missing copyright and license notices.
  * Update debian/copyright.
    + Mention dual GPLv2+/BSD licensing of libfdt.
    + Add Jon Loeliger as an upstream author.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the XS-DM-Upload-Allowed field.
  * Rewrite short and long descriptions in debian/control.
  * Rewrite debian/rules to handle the noopt build option.
  * Write and add a manpage for dtc.
  * Add documentation under /usr/share/doc/device-tree-compiler/.
    + Add Build-Depends on texlive and texlive-latex-extra.
    + Add debian/doc-base.dtc-manual and debian/doc-base.dtc-paper.
    + Create a Makefile to build dtc-paper.tex.
      - Add quilt support to build system.
      - Add 01_build_doc.diff.
    + Update debian/rules to prepare documentation.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 22 Dec 2007 04:02:24 +0100

device-tree-compiler (0.1~git20070226-1) experimental; urgency=low



=== debian/control ===
Source: device-tree-compiler
Section: devel
Priority: optional
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10), flex, bison, texlive, texlive-latex-extra
Homepage: https://git.kernel.org/cgit/utils/dtc/dtc.git
Vcs-Git: https://anonscm.debian.org/git/crosstoolchain/device-tree-compiler.git
Vcs-Browser: https://anonscm.debian.org/cgit/crosstoolchain/device-tree-compiler.git/

Package: device-tree-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Device Tree Compiler for Flat Device Trees
 Device Tree Compiler, dtc, takes as input a device-tree in
 a given format and outputs a device-tree in another format
 for booting kernels on embedded systems.
 .
 Typically, the input format is "dts", a human readable source
 format, and creates a "dtb", or binary format as output.

Package: libfdt1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Flat Device Trees manipulation library
 This is a library containing functions for manipulating Flat Device Trees.

Package: libfdt-dev
Architecture: any
Section: libdevel
Depends: libfdt1 (= ${binary:Version}), ${misc:Depends}
Description: Flat Device Trees manipulation library - development files
 This is a library containing functions for manipulating Flat Device Trees.
 .
 This package contains the files needed for development against libfdt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# reproducible builds: texlive needs FORCE_SOURCE_DATE set in order to
# respect SOURCE_DATE_EPOCH.
export FORCE_SOURCE_DATE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CFLAGS = -Wall -g -fPIC

# python library builds with warnings, temporarily disabled.
export NO_PYTHON = 1

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
export CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build 
	$(MAKE) -C Documentation

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Documentation/Makefile ] || $(MAKE) -C Documentation clean
	[ ! -d build ] || rm -rf build

=== debian/watch ===
version=4
https://git.kernel.org/pub/scm/utils/dtc/dtc.git \
  .*/snapshot/dtc-@ANY_VERSION@@ARCHIVE_EXT@

## device-tree-compiler 1.4.6

=== debian/changelog ===
device-tree-compiler (1.4.6-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release.
  * Drop patches applied upstream.
  * Update debian/watch:
    - Use tarballs downloaded from https://www.kernel.org/pub instead of
      generated tarballs from git tags.
    - Check signature of downloaded tarball. Thanks to Osamu Aoki.
  * Use debhelper compat level 11.
  * Update to Standards-Version 4.1.4, no changes needed.
  * Support "nodoc" in DEB_BUILD_PROFILES and DEB_BUILD_OPTIONS.
  * Make build more verbose.
  * Use dpkg buildflags.mk, passing CFLAGS and CPPFLAGS to build.

  [ Dima Kogan ]
  * Moved Vcs tags to point to salsa.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 26 Apr 2018 11:02:44 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 10), flex, bison, texlive, texlive-latex-extra
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), flex, bison, texlive <!nodoc>, texlive-latex-extra <!nodoc>
 Homepage: https://git.kernel.org/cgit/utils/dtc/dtc.git
-Vcs-Git: https://anonscm.debian.org/git/crosstoolchain/device-tree-compiler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/crosstoolchain/device-tree-compiler.git/
+Vcs-Git: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler.git
+Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler
 
 Package: device-tree-compiler
 Architecture: any

## device-tree-compiler 1.4.7

=== debian/changelog ===
device-tree-compiler (1.4.7-4) buster; urgency=medium

  * Fix segfault on “dtc -I fs /proc/device-tree” by backporting
    9619c8619c, first released in 1.5.0 (Closes: #981033). With huge
    thanks to Uwe Kleine-König for the debugging and general guidance:
     - 03-Kill-bogus-TYPE_BLOB-marker-type.patch
  * Adjust gbp configuration for the buster branch.

 -- Cyril Brulebois <cyril@debamax.com>  Wed, 27 Jan 2021 19:53:55 +0100

device-tree-compiler (1.4.7-3) unstable; urgency=medium

  * Add Build-Depends on pkg-config, which is used to check for valgrind.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 11 Sep 2018 00:51:07 -0700

device-tree-compiler (1.4.7-2) unstable; urgency=medium

  * Add patch from upstream making valgrind optional.
  * Only Build-Depend on valgrind for architectures where valgrind is
    available.
  * Update Standards-Version to 4.2.1, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Sep 2018 23:11:53 -0700

device-tree-compiler (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Build-Depends on valgrind, used in tests.
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.2.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 16 Aug 2018 13:38:37 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,15 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11), flex, bison, texlive <!nodoc>, texlive-latex-extra <!nodoc>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
+ flex,
+ bison,
+ pkg-config,
+ texlive <!nodoc>,
+ texlive-latex-extra <!nodoc>,
+ valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+Rules-Requires-Root: no
 Homepage: https://git.kernel.org/cgit/utils/dtc/dtc.git
 Vcs-Git: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler.git
 Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler

## device-tree-compiler 1.5.0

=== debian/changelog ===
device-tree-compiler (1.5.0-1) experimental; urgency=medium

  * Update to new upstream version:
    - Drop patch to make valgrind optional, applied upstream.
    - Add Build-Depends on libyaml-dev.
  * Build-Depend on debhelper-compat instead of debhelper.
  * Update to Standards-Version 4.3.0, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 12 Mar 2019 14:05:20 -0700

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
  flex,
  bison,
+ libyaml-dev,
  pkg-config,
  texlive <!nodoc>,
  texlive-latex-extra <!nodoc>,

## device-tree-compiler 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Device Tree Compiler
 #
@@ -9,8 +10,8 @@
 # CONFIG_LOCALVERSION from some future config system.
 #
 VERSION = 1
-PATCHLEVEL = 4
-SUBLEVEL = 5
+PATCHLEVEL = 5
+SUBLEVEL = 0
 EXTRAVERSION =
 LOCAL_VERSION =
 CONFIG_LOCALVERSION =
@@ -18,14 +19,19 @@
 CPPFLAGS = -I libfdt -I .
 WARNINGS = -Wall -Wpointer-arith -Wcast-qual -Wnested-externs \
 	-Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow
-CFLAGS = -g -Os $(SHAREDLIB_CFLAGS) -Werror $(WARNINGS)
+CFLAGS = -g -Os $(SHAREDLIB_CFLAGS) -Werror $(WARNINGS) $(EXTRA_CFLAGS)
 
 BISON = bison
 LEX = flex
 SWIG = swig
 PKG_CONFIG ?= pkg-config
+PYTHON ?= python3
 
 INSTALL = /usr/bin/install
+INSTALL_PROGRAM = $(INSTALL)
+INSTALL_LIB = $(INSTALL)
+INSTALL_DATA = $(INSTALL) -m 644
+INSTALL_SCRIPT = $(INSTALL)
 DESTDIR =
 PREFIX = $(HOME)
 BINDIR = $(PREFIX)/bin
@@ -34,6 +40,20 @@
 
 HOSTOS := $(shell uname -s | tr '[:upper:]' '[:lower:]' | \
 	    sed -e 's/\(cygwin\|msys\).*/\1/')
+
+NO_VALGRIND := $(shell $(PKG_CONFIG) --exists valgrind; echo $$?)
+ifeq ($(NO_VALGRIND),1)
+	CFLAGS += -DNO_VALGRIND
+else
+	CFLAGS += $(shell $(PKG_CONFIG) --cflags valgrind)
+endif
+
+NO_YAML := $(shell $(PKG_CONFIG) --exists yaml-0.1; echo $$?)
+ifeq ($(NO_YAML),1)
+	CFLAGS += -DNO_YAML
+else
+	LDLIBS_dtc += $(shell $(PKG_CONFIG) --libs yaml-0.1)
+endif
 
 ifeq ($(HOSTOS),darwin)
 SHAREDLIB_EXT     = dylib
@@ -126,19 +146,23 @@
 
 all: $(BIN) libfdt
 
-# We need both Python and swig to build pylibfdt.
-.PHONY: maybe_pylibfdt
-maybe_pylibfdt: FORCE
-	if $(PKG_CONFIG) --cflags python2 >/dev/null 2>&1; then \
+# We need both Python and swig to build/install pylibfdt.
+# This builds the given make ${target} if those deps are found.
+check_python_deps = \
+	if $(PKG_CONFIG) --cflags $(PYTHON) >/dev/null 2>&1; then \
 		if which swig >/dev/null 2>&1; then \
 			can_build=yes; \
 		fi; \
 	fi; \
-	if [ "$$can_build" = "yes" ]; then \
-		$(MAKE) pylibfdt; \
+	if [ "$${can_build}" = "yes" ]; then \
+		$(MAKE) $${target}; \
 	else \
-		echo "## Skipping pylibfdt (install python dev and swig to build)"; \
-	fi
+		echo "\#\# Skipping pylibfdt (install python dev and swig to build)"; \
+	fi ;
+
+.PHONY: maybe_pylibfdt
+maybe_pylibfdt: FORCE
+	target=pylibfdt; $(check_python_deps)
 
 ifeq ($(NO_PYTHON),)
 all: maybe_pylibfdt
@@ -159,28 +183,27 @@
 #
 # Rules for libfdt
 #
-LIBFDT_objdir = libfdt
-LIBFDT_srcdir = libfdt
-LIBFDT_archive = $(LIBFDT_objdir)/libfdt.a
-LIBFDT_lib = $(LIBFDT_objdir)/libfdt-$(DTC_VERSION).$(SHAREDLIB_EXT)
-LIBFDT_include = $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_INCLUDES))
-LIBFDT_version = $(addprefix $(LIBFDT_srcdir)/,$(LIBFDT_VERSION))
-
-include $(LIBFDT_srcdir)/Makefile.libfdt
+LIBFDT_dir = libfdt
+LIBFDT_archive = $(LIBFDT_dir)/libfdt.a
+LIBFDT_lib = $(LIBFDT_dir)/$(LIBFDT_LIB)
+LIBFDT_include = $(addprefix $(LIBFDT_dir)/,$(LIBFDT_INCLUDES))
+LIBFDT_version = $(addprefix $(LIBFDT_dir)/,$(LIBFDT_VERSION))
+
+include $(LIBFDT_dir)/Makefile.libfdt
 
 .PHONY: libfdt
 libfdt: $(LIBFDT_archive) $(LIBFDT_lib)
 
-$(LIBFDT_archive): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))
-$(LIBFDT_lib): $(addprefix $(LIBFDT_objdir)/,$(LIBFDT_OBJS))
-
-libfdt_clean:
-	@$(VECHO) CLEAN "(libfdt)"
-	rm -f $(addprefix $(LIBFDT_objdir)/,$(STD_CLEANFILES))
-	rm -f $(LIBFDT_objdir)/*.so
+$(LIBFDT_archive): $(addprefix $(LIBFDT_dir)/,$(LIBFDT_OBJS))
+
+$(LIBFDT_lib): $(addprefix $(LIBFDT_dir)/,$(LIBFDT_OBJS)) $(LIBFDT_version)
+	@$(VECHO) LD $@
+	$(CC) $(LDFLAGS) $(SHAREDLIB_LDFLAGS)$(LIBFDT_soname) -o $(LIBFDT_lib) \
+		$(addprefix $(LIBFDT_dir)/,$(LIBFDT_OBJS))
+	ln -sf $(LIBFDT_LIB) $(LIBFDT_dir)/$(LIBFDT_soname)
 
 ifneq ($(DEPTARGETS),)
--include $(LIBFDT_OBJS:%.o=$(LIBFDT_objdir)/%.d)
+-include $(LIBFDT_OBJS:%.o=$(LIBFDT_dir)/%.d)
 endif
 
 # This stops make from generating the lex and bison output during
@@ -191,25 +214,30 @@
 install-bin: all $(SCRIPTS)
 	@$(VECHO) INSTALL-BIN
 	$(INSTALL) -d $(DESTDIR)$(BINDIR)
-	$(INSTALL) $(BIN) $(SCRIPTS) $(DESTDIR)$(BINDIR)
+	$(INSTALL_PROGRAM) $(BIN) $(DESTDIR)$(BINDIR)
+	$(INSTALL_SCRIPT) $(SCRIPTS) $(DESTDIR)$(BINDIR)
 
 install-lib: all
 	@$(VECHO) INSTALL-LIB
 	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
-	$(INSTALL) $(LIBFDT_lib) $(DESTDIR)$(LIBDIR)
+	$(INSTALL_LIB) $(LIBFDT_lib) $(DESTDIR)$(LIBDIR)
 	ln -sf $(notdir $(LIBFDT_lib)) $(DESTDIR)$(LIBDIR)/$(LIBFDT_soname)
 	ln -sf $(LIBFDT_soname) $(DESTDIR)$(LIBDIR)/libfdt.$(SHAREDLIB_EXT)
-	$(INSTALL) -m 644 $(LIBFDT_archive) $(DESTDIR)$(LIBDIR)
+	$(INSTALL_DATA) $(LIBFDT_archive) $(DESTDIR)$(LIBDIR)
 
 install-includes:
 	@$(VECHO) INSTALL-INC
 	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
-	$(INSTALL) -m 644 $(LIBFDT_include) $(DESTDIR)$(INCLUDEDIR)
+	$(INSTALL_DATA) $(LIBFDT_include) $(DESTDIR)$(INCLUDEDIR)
 
 install: install-bin install-lib install-includes
 
+.PHONY: maybe_install_pylibfdt
+maybe_install_pylibfdt: FORCE
+	target=install_pylibfdt; $(check_python_deps)
+
 ifeq ($(NO_PYTHON),)
-install: install_pylibfdt
+install: maybe_install_pylibfdt
 endif
 
 $(VERSION_FILE): Makefile FORCE
@@ -224,11 +252,11 @@
 
 fdtdump:	$(FDTDUMP_OBJS)
 
-fdtget:	$(FDTGET_OBJS) $(LIBFDT_archive)
-
-fdtput:	$(FDTPUT_OBJS) $(LIBFDT_archive)
-
-fdtoverlay: $(FDTOVERLAY_OBJS) $(LIBFDT_archive)
+fdtget:	$(FDTGET_OBJS) $(LIBFDT_lib)
+
+fdtput:	$(FDTPUT_OBJS) $(LIBFDT_lib)
+
+fdtoverlay: $(FDTOVERLAY_OBJS) $(LIBFDT_lib)
 
 dist:
 	git archive --format=tar --prefix=dtc-$(dtc_version)/ HEAD \
@@ -240,17 +268,12 @@
 #
 # Rules for pylibfdt
 #
-PYLIBFDT_srcdir = pylibfdt
-PYLIBFDT_objdir = pylibfdt
-
-include $(PYLIBFDT_srcdir)/Makefile.pylibfdt
+PYLIBFDT_dir = pylibfdt
+
+include $(PYLIBFDT_dir)/Makefile.pylibfdt
 
 .PHONY: pylibfdt
-pylibfdt: $(PYLIBFDT_objdir)/_libfdt.so
-
-pylibfdt_clean:
-	@$(VECHO) CLEAN "(pylibfdt)"
-	rm -f $(addprefix $(PYLIBFDT_objdir)/,$(PYLIBFDT_cleanfiles))
+pylibfdt: $(PYLIBFDT_dir)/_libfdt.so
 
 #
 # Release signing and uploading
@@ -309,7 +332,7 @@
 #
 %: %.o
 	@$(VECHO) LD $@
-	$(LINK.c) -o $@ $^
+	$(LINK.c) -o $@ $^ $(LDLIBS_$*)
 
 %.o: %.c
 	@$(VECHO) CC $@
@@ -339,10 +362,6 @@
 	@$(VECHO) AR $@
 	$(AR) $(ARFLAGS) $@ $^
 
-$(LIBFDT_lib):
-	@$(VECHO) LD $@
-	$(CC) $(LDFLAGS) $(SHAREDLIB_LDFLAGS)$(LIBFDT_soname) -o $(LIBFDT_lib) $^
-
 %.lex.c: %.l
 	@$(VECHO) LEX $@
 	$(LEX) -o$@ $<

=== debian/changelog ===
device-tree-compiler (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright.
  * Remove patch applied upstream: Update-version.lds-again.patch

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 14 Sep 2019 09:24:37 -0400

device-tree-compiler (1.5.0-2) unstable; urgency=medium

  * Add patch from upstream to add missing exported functions. Thanks to
    Christian Ehrhardt. (Closes: #931046)
  * debian/control: Update Standards-Version to 4.4.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Jul 2019 13:22:53 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper-compat (= 12),
  flex,
  bison,

## device-tree-compiler 1.6.0

=== debian/changelog ===
device-tree-compiler (1.6.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 29 Dec 2020 23:42:08 +0300

device-tree-compiler (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standards version, no changes

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 04 Mar 2020 10:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.4.0
+Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>,
+	Michael Tokarev <mjt@tls.msk.ru>
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
  flex,
  bison,

## device-tree-compiler 1.6.1

=== meson_options.txt ===
option('tools', type: 'boolean', value: true,
       description: 'Build tools')
option('assume-mask', type: 'integer', value: 0,
       description: 'Control the assumptions made (e.g. risking security issues) in the code.')
option('yaml', type: 'feature', value: 'auto',
       description: 'YAML support')
option('valgrind', type: 'feature', value: 'auto',
       description: 'Valgrind support')
option('python', type: 'feature', value: 'auto',
       description: 'Build pylibfdt Python library')

=== debian/changelog ===
device-tree-compiler (1.6.1-2ubuntu1) kinetic; urgency=medium

  * d/rules: Fix FTBFS by adding pkg-info.mk (LP: #1992180)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 07 Oct 2022 22:02:30 +0100

device-tree-compiler (1.6.1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Enable pylibfdt build (Closes: #877125)
  * Create bin pkg python3-libfdt (Closes: #1011282)

  [ Héctor Orón Martínez ]
  * debian/control: thank Riku for all. (Closes: #1001563)
  * debian/rules: remove egg-info upon clean

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 01:35:38 +0200

device-tree-compiler (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Fix duplicate entries in tests/*.dts.
  * debian/control: Update to Standards Version 4.6.0, no changes needed.
  * debian/control: Update debhelper-compat to 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 05 Jan 2022 20:08:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: device-tree-compiler
 Section: devel
 Priority: optional
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>,
-	Michael Tokarev <mjt@tls.msk.ru>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Uploaders: Vagrant Cascadian <vagrant@debian.org>
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
+ dh-python,
  flex,
  bison,
  libyaml-dev,
  pkg-config,
+ python3-dev,
+ python3-setuptools,
+ python3-setuptools-scm,
+ swig,
  texlive <!nodoc>,
  texlive-latex-extra <!nodoc>,
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
@@ -47,3 +52,13 @@
  This is a library containing functions for manipulating Flat Device Trees.
  .
  This package contains the files needed for development against libfdt.
+
+Package: python3-libfdt
+Architecture: any
+Section: python
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Flat Device Trees manipulation library - Python bindings
+ This is a library containing functions for manipulating Flat Device Trees.
+ .
+ This package contains the files needed for Python development with libfdt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# reproducible builds: texlive needs FORCE_SOURCE_DATE set in order to
# respect SOURCE_DATE_EPOCH.
export FORCE_SOURCE_DATE=1

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
export CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

include /usr/share/dpkg/buildflags.mk
EXTRA_CFLAGS = -Wno-error
CPPFLAGS += -I libfdt -I .

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- V=1 EXTRA_CFLAGS="$(EXTRA_CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C Documentation
endif

override_dh_auto_install:
	NO_PYTHON=1 $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) maybe_install_pylibfdt EXTRA_CFLAGS="$(EXTRA_CFLAGS)" PREFIX=$(CURDIR)/debian/tmp/usr

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Documentation/Makefile ] || $(MAKE) -C Documentation clean
	[ ! -d build ] || rm -rf build
	[ ! -d pylibfdt/libfdt.egg-info/] || rm -rf pylibfdt/libfdt.egg-info/

## device-tree-compiler 1.7.0

=== debian/changelog ===
device-tree-compiler (1.7.0-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:48 +0200

device-tree-compiler (1.7.0-2) unstable; urgency=medium

  * debian/patches/fix-tests-for-Python3.12.patch: new patch
    (Closes: #1061318)

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 30 Jan 2024 17:49:08 +0100

device-tree-compiler (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 03 Aug 2023 14:11:49 +0200

device-tree-compiler (1.6.1-4) unstable; urgency=medium

  * debian/rules: Pass default CFLAGS via EXTRA_CFLAGS. (Closes: #1021893)
    Fixes reproducible builds with differing build paths.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 16 Oct 2022 14:10:24 -0700

device-tree-compiler (1.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Dave Jones ]
  * d/rules: Fix FTBFS; DEB_VERSION_UPSTREAM is blank without pkg-info.mk
    (Closes: #1015024)

  [ Héctor Orón Martínez ]
  * debian/rules: fix syntax in clean func
  * debian/gbp.conf: we do not have pristine-tar branch
    (Closes: #1010064)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 23:04:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  flex,
@@ -48,6 +48,7 @@
 Architecture: any
 Section: libdevel
 Depends: libfdt1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: Flat Device Trees manipulation library - development files
  This is a library containing functions for manipulating Flat Device Trees.
  .

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 endif
 
 include /usr/share/dpkg/buildflags.mk
-EXTRA_CFLAGS = -Wno-error
+EXTRA_CFLAGS = $(CFLAGS) -Wno-error
 CPPFLAGS += -I libfdt -I .
 
 %:
@@ -35,4 +35,4 @@
 	dh_auto_clean
 	[ ! -f Documentation/Makefile ] || $(MAKE) -C Documentation clean
 	[ ! -d build ] || rm -rf build
-	[ ! -d pylibfdt/libfdt.egg-info/] || rm -rf pylibfdt/libfdt.egg-info/
+	[ ! -d pylibfdt/libfdt.egg-info/ ] || rm -rf pylibfdt/libfdt.egg-info/
